{% extends "base.html" %} {% load static from staticfiles %} {% load django_tables2 %}
{% load render_table from django_tables2 %}
{% load has_group %}

{% block internal_css %}
<link rel="stylesheet" href="{% static 'css/detail.css' %}">
<link rel="stylesheet" href="{% static 'css/table.css' %}">
{% endblock %}
{% block external_js %}
      <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
  {% endblock %}
{% block internal_js %}
<script src="{% static 'js/edit.min.js' %}"></script>
<script src="{% static 'js/details.min.js' %}"></script>
{% endblock %}
{% block content %}
<div class="container">


<div class="header_row">
    <h3>Series Summary for <span name="series_id" class="not-editable">{{ series.series_id }}</span></h3>
</div>
<section class="section">
    <div class="button_row_right">
        {% if request.user|has_group  %}
        <div id="btn-export_csv" class="btn btn--export">
            <a href="{% url 'csv_export' %}?series_id={{series.series_id}}">Export as CSV</a>
        </div>
        {% endif %}
        {% if request.user == series.user or  request.user.is_superuser %}
        <input type="button" value="Edit" id="btn-edit" class="btn btn--edit">
        <input type="button" value="Apply Changes" id="btn-apply" class="btn btn--edit">
        {% endif %}
    </div>
    <div class="card description">
        <h4 class="card-header"><p><span>{{ series.title }}</span> <input type="text" class="editable" name="series_title" value=""> </p></h4>
        <div class="card-body two_col">

        <p>
            <label>Series type:</label> <span class="not-editable" name="series_type"> {{ series.series_type }}</span>
        </p>
        <p>
            <label>Publication: </label> <span> {{ series.publication }}</span>
            <input type="text" class="editable" name="series_publication" value="">
        </p>
        <p>
            <label>GEO/SRA ID: </label> <span> {{ series.sra_geo_id}}</span>
            <input type="text" class="editable" name="series_geo_id" value="">
        </p>

        <p>
            <label>Description: </label> <span> {{ series.description }}</span>
            <textarea name="series_description" class="editable" rows="8" cols="80"></textarea>
        </p>
        <p>
            <label>Is public: </label> <span> {{ series.is_public }}</span>
            <select class="editable form-control" name="series_is_public">
                <option>
                    True
                </option>
                <option>
                    False
                </option>
            </select>
        </p>
        <p>
            <label>Added by User: </label> <span> {{ series.user }}</span>
        </p>

        <p>
            <label>Date Added: </label> <span> {{ series.date_added }}</span></p>

        <p>
            <label>Series Last Edited: </label> <span> {{ series.date_edited }}</span></p>

        </div>
    </div>
    {% if request.user == series.user or  request.user.is_superuser %}
        <button type="button" name="delete" value="Delete Series" id="btn-delete" class="btn btn--delete">Delete Series</button>
        <button type="button" name="delete" value="Really Delete?" id="btn-really_delete" class="btn btn--delete" data-loading-text="<i class='fas fa-circle-notch fa-spin'></i> Deleting Series">Really Delete?</button>
    {% endif %}
</section>
<div id=summary>
    <div id="attached_assays">
        <div class="card">
            <div class="assay_item">
                <h2 class="card-header">Assays</h2>
                <div class="card-body">
            {% regroup assays by assay_type as assay_group %}
            {% for assay in assay_group %}
            <h4>{{ assay.grouper }}</h4>
              <ul>
              {% for item in assay.list %}
                <li><a href="/dcc/detailAssay/{{ item.pk }}" data-toggle="tooltip" data-placement="bottom" title="{{item.description}}">{{ item.assay_id }}</a></li>
              {% endfor %}
              </ul>
            {% endfor %}
            </div>
            </div>
        </div>
    </div>
    <div class="attached_items">
        <div class="button_row justify-content-start">
            <button type="button" name="button" class="btn btn--collapse_biosample" value="biosample">Collapse Biosample</button>
            <button type="button" name="button" class="btn btn--collapse_appliedassay" value="appliedassay">Collapse Applied Assay</button>
            <button type="button" name="button" class="btn btn--collapse_sequencing" value="sequencing">Collapse Sequencing</button>
        </div>
        <div class="card">
            {% for biosample in biosample_list|dictsort:"instance.biosample_id" %}
            <div class="biosample_item inner">
                <div class="header">
                    {% render_table biosample.table %}
                </div>
                {% for biosamplereplicate in biosample.biosample_children|dictsort:"instance.biosamplereplicate_id" %}
                {% for appliedassay in biosamplereplicate.biosamplereplicate_children|dictsort:"instance.appliedassay_id" %}
                <div class="appliedassay_item inner">
                    <div class="header">
                        {% render_table appliedassay.table %}
                    </div>
                    {% for technicalreplicate in appliedassay.appliedassay_children  %}
                    {% for sequencing in technicalreplicate.technicalreplicate_children|dictsort:"instance.sequencing_id"  %}
                    <div class="sequencing_item inner">
                        <div class="header">
                            {% render_table sequencing.table %}
                        </div>
                        {% for datum in sequencing.sequencing_children|dictsort:"instance.data_id"  %}
                        <div class="data_item inner">
                            <div class="data_header">
                                <span>
                                    <a href="/dcc/detailData/{{ datum.instance.pk }}">
                                        {{ datum.instance.data_id }}</a>: {{ datum.instance.file_type }} {% if datum.instance.file_type.name != "FASTQ" %}
                                        {% if  datum.instance.mapped_genome.name == "GRCz10/danRer10"%}<span class="badge badge-pill badge-info">{{datum.instance.mapped_genome.name}}</span>{% else %}
                                          <span class="badge badge-pill bg-data">{{datum.instance.mapped_genome.name}}</span>
                                        {% endif %}
                                        {% endif %}
                                        {% if datum.instance.secondary_file %}
                                            <button type="button" data-toggle="tooltip" data-placement="top" title="{{datum.instance.primary_file}}" class="btn btn-light btn-download"  onclick="location.href='/media/{{ datum.instance.primary_file }}'">
                                            {# <button type="button" data-toggle="tooltip" data-placement="top" title="downloads are currently disabled" class="btn btn-light btn-download" disabled> #}
                                                Download Read 1 (<span class="file_size">{{datum.instance.primary_file.size}}</span>)
                                            </button>

                                            {# <button type="button" data-toggle="tooltip" data-placement="top" title="downloads are currently disabled" class="btn btn-light btn-download" disabled> #}
                                            <button type="button" data-toggle="tooltip" data-placement="top" title="{{datum.instance.secondary_file}}" class="btn btn-light btn-download" onclick="location.href='/media/{{ datum.instance.secondary_file }}'">
                                                Download Read 2 (<span class="file_size">{{datum.instance.secondary_file.size}}</span>)
                                            </button>
                                            {% if request.user.is_superuser %}
                                            <button type="button" class="btn btn-light btn--undo" data-id="{{datum.instance.data_id}}">
                                            {# <button type="button" data-toggle="tooltip" data-placement="top" title="downloads are currently disabled" class="btn btn-light btn-download" disabled> #}
                                                Delete Read 1 & 2
                                            </button>
                                            <span><b>sha1:</b> {{datum.instance.sha1}}</span>
                                            {% endif %}
                                        {% else %}
                                            <button type="button" data-toggle="tooltip" data-placement="top" title="{{datum.instance.primary_file}}" class="btn btn-light btn-download" onclick="location.href='/media/{{ datum.instance.primary_file }}'">
                                                Download (<span class="file_size">{{datum.instance.primary_file.size}}</span>)
                                            </button>
                                            {% if request.user.is_superuser %}
                                            <button type="button" class="btn btn-light btn--undo" data-id="{{datum.instance.data_id}}">
                                                Delete
                                            </button>
                                            {% if datum.instance.sha1 %}
                                            <span><b>sha1:</b> {{datum.instance.sha1}}</span>
                                            {% endif %}
                                            {% endif %}
                                        {% endif %}

                                </span>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                    {% endfor %}{% endfor %}
                </div>
                {% endfor %}{% endfor %}
            </div>
            {% endfor %}
        </div>
    </div>
</div>
</div>

    {% endblock %}
